Bug 1185263 - Lenovo TP E15 (2nd Gen): Display remains dark when resuming from suspend
Lenovo TP E15 (2nd Gen): Display remains dark when resuming from suspend
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-24 19:42 UTC by Ulrich Windl
Modified: 2021-06-04 07:22 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (Ulrich.Windl)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2021-04-24 19:42:58 UTC
When suspending the Lenovo TP E15, the deisplay remains dark after resuming.
So the only option I found is to reboot, making suspend unusable.
So actually running on battery is a bad idea.

Logs:
2021-04-24T15:04:05.732906+02:00 localhost systemd[1]: Starting Suspend...
2021-04-24T15:04:05.757332+02:00 localhost systemd-sleep[4308]: INFO: Skip running /usr/lib/systemd/system-sleep/grub2.sleep for suspend
2021-04-24T15:04:05.758824+02:00 localhost systemd-sleep[4308]: Suspending system...
2021-04-24T15:04:05.759889+02:00 localhost kernel: [  771.591214] PM: suspend entry (deep)
2021-04-24T15:04:05.775890+02:00 localhost kernel: [  771.607553] Filesystems sync: 0.016 seconds
2021-04-24T15:04:05.776372+02:00 localhost gdm-Xorg-:0[2078]: (II) event7  - Power Button: device removed
2021-04-24T15:04:05.800705+02:00 localhost gdm-Xorg-:0[2078]: (II) event3  - Video Bus: device removed
2021-04-24T15:04:05.848605+02:00 localhost gdm-Xorg-:0[2078]: (II) event4  - Power Button: device removed
2021-04-24T15:04:05.872622+02:00 localhost gdm-Xorg-:0[2078]: (II) event6  - Sleep Button: device removed
2021-04-24T15:04:05.888685+02:00 localhost gdm-Xorg-:0[2078]: (II) event16 - Integrated Camera: Integrated C: device removed
2021-04-24T15:04:05.920897+02:00 localhost gdm-Xorg-:0[2078]: (II) event0  - AT Translated Set 2 keyboard: device removed
2021-04-24T15:04:05.940729+02:00 localhost gdm-Xorg-:0[2078]: (II) event2  - ETPS/2 Elantech Touchpad: device removed
2021-04-24T15:04:05.972782+02:00 localhost gdm-Xorg-:0[2078]: (II) event1  - ETPS/2 Elantech TrackPoint: device removed
2021-04-24T15:04:06.004806+02:00 localhost gdm-Xorg-:0[2078]: (II) event14 - ThinkPad Extra Buttons: device removed
2021-04-24T15:04:06.032388+02:00 localhost kernel: [  771.862727] rfkill: input handler enabled
2021-04-24T21:14:40.386615+02:00 localhost kernel: [  771.869413] Freezing user space processes ... (elapsed 0.002 seconds) done.
2021-04-24T21:14:40.386638+02:00 localhost kernel: [  771.871636] OOM killer disabled.
2021-04-24T21:14:40.386640+02:00 localhost kernel: [  771.871637] Freezing remaining freezable tasks ... (elapsed 0.000 seconds) done.
2021-04-24T21:14:40.386643+02:00 localhost kernel: [  771.872693] printk: Suspending console(s) (use no_console_suspend to debug)
2021-04-24T21:14:40.386646+02:00 localhost kernel: [  772.154201] ACPI: EC: interrupt blocked
2021-04-24T21:14:40.386647+02:00 localhost kernel: [  772.196742] ACPI: Preparing to enter system sleep state S3
2021-04-24T21:14:40.386649+02:00 localhost kernel: [  772.200035] ACPI: EC: event blocked
2021-04-24T21:14:40.386652+02:00 localhost kernel: [  772.200036] ACPI: EC: EC stopped
2021-04-24T21:14:40.386654+02:00 localhost kernel: [  772.200037] PM: Saving platform NVS memory
2021-04-24T21:14:40.386654+02:00 localhost kernel: [  772.200825] Disabling non-boot CPUs ...
2021-04-24T21:14:40.386657+02:00 localhost kernel: [  772.201539] IRQ 37: no longer affine to CPU1
2021-04-24T21:14:40.386660+02:00 localhost kernel: [  772.201546] IRQ 44: no longer affine to CPU1
2021-04-24T21:14:40.386662+02:00 localhost kernel: [  772.201553] IRQ 70: no longer affine to CPU1
2021-04-24T21:14:40.386663+02:00 localhost kernel: [  772.202592] smpboot: CPU 1 is now offline
...
2021-04-24T21:14:40.386681+02:00 localhost kernel: [  772.206926] smpboot: CPU 3 is now offline
2021-04-24T21:14:40.386683+02:00 localhost kernel: [  772.209045] smpboot: CPU 4 is now offline
2021-04-24T21:14:40.386685+02:00 localhost kernel: [  772.211363] smpboot: CPU 5 is now offline
2021-04-24T21:14:40.386687+02:00 localhost kernel: [  772.213761] smpboot: CPU 6 is now offline
2021-04-24T21:14:40.386689+02:00 localhost kernel: [  772.215913] smpboot: CPU 7 is now offline
2021-04-24T21:14:40.386691+02:00 localhost kernel: [  772.215938] ACPI: Low-level resume complete
2021-04-24T21:14:40.386693+02:00 localhost kernel: [  772.215938] ACPI: EC: EC started
2021-04-24T21:14:40.386694+02:00 localhost kernel: [  772.215938] PM: Restoring platform NVS memory
2021-04-24T21:14:40.386696+02:00 localhost kernel: [  772.215938] LVT offset 0 assigned for vector 0x400
2021-04-24T21:14:40.386698+02:00 localhost kernel: [  772.216531] Enabling non-boot CPUs ...
2021-04-24T21:14:40.386700+02:00 localhost kernel: [  772.216564] x86: Booting SMP configuration:
2021-04-24T21:14:40.386702+02:00 localhost kernel: [  772.216565] smpboot: Booting Node 0 Processor 1 APIC 0x1
2021-04-24T21:14:40.386704+02:00 localhost kernel: [  772.202563] microcode: CPU1: patch_level=0x08600103
2021-04-24T21:14:40.386706+02:00 localhost kernel: [  772.217297] CPU1 is up
...
2021-04-24T21:14:40.386744+02:00 localhost kernel: [  772.223752] ACPI: Waking up from system sleep state S3
2021-04-24T21:14:40.386746+02:00 localhost kernel: [  772.772506] ACPI: EC: interrupt unblocked
2021-04-24T21:14:40.386748+02:00 localhost kernel: [  772.901582] ACPI: EC: event unblocked
2021-04-24T21:14:40.386751+02:00 localhost kernel: [  772.915201] iwlwifi 0000:03:00.0: Applying debug destination EXTERNAL_DRAM
2021-04-24T21:14:40.386753+02:00 localhost kernel: [  772.918562] nvme nvme0: Shutdown timeout set to 8 seconds
2021-04-24T21:14:40.386755+02:00 localhost kernel: [  772.997692] nvme nvme0: 12/0/0 default/read/poll queues
2021-04-24T21:14:40.386757+02:00 localhost kernel: [  773.102440] iwlwifi 0000:03:00.0: FW already configured (0) - re-configuring
2021-04-24T21:14:40.386760+02:00 localhost kernel: [  773.138577] usb 1-3: reset high-speed USB device number 2 using xhci_hcd
2021-04-24T21:14:40.386762+02:00 localhost kernel: [  773.148946] usb 3-3: reset high-speed USB device number 2 using xhci_hcd
2021-04-24T21:14:40.386763+02:00 localhost kernel: [  773.426878] usb 3-4: reset full-speed USB device number 3 using xhci_hcd
2021-04-24T21:14:40.386764+02:00 localhost kernel: [  773.601101] acpi LNXPOWER:03: Turning OFF
2021-04-24T21:14:40.386766+02:00 localhost kernel: [  773.601139] acpi LNXPOWER:01: Turning OFF
2021-04-24T21:14:40.386768+02:00 localhost kernel: [  773.601198] OOM killer enabled.
2021-04-24T21:14:40.386771+02:00 localhost kernel: [  773.601198] Restarting tasks ... 
2021-04-24T21:14:40.386773+02:00 localhost kernel: [  773.601707] pci_bus 0000:01: Allocating resources
...
2021-04-24T21:14:40.393847+02:00 localhost kernel: [  773.606892] video LNXVIDEO:00: Restoring backlight state
2021-04-24T21:14:40.393850+02:00 localhost kernel: [  773.607998] PM: suspend exit
2021-04-24T21:14:40.393522+02:00 localhost bluetoothd[1823]: Failed to add UUID: Invalid Index (0x11)
2021-04-24T21:14:40.393785+02:00 localhost systemd[1]: Started Timeline of Snapper Snapshots.
2021-04-24T21:14:40.394013+02:00 localhost gdm-Xorg-:0[2078]: (II) event7  - Power Button: is tagged by udev as: Keyboard
2021-04-24T21:14:40.394177+02:00 localhost gdm-Xorg-:0[2078]: (II) event7  - Power Button: device is a keyboard
2021-04-24T21:14:40.394279+02:00 localhost gdm-Xorg-:0[2078]: (II) event3  - Video Bus: is tagged by udev as: Keyboard
2021-04-24T21:14:40.394377+02:00 localhost gdm-Xorg-:0[2078]: (II) event3  - Video Bus: device is a keyboard
2021-04-24T21:14:40.394473+02:00 localhost gdm-Xorg-:0[2078]: (II) event4  - Power Button: is tagged by udev as: Keyboard
2021-04-24T21:14:40.394593+02:00 localhost gdm-Xorg-:0[2078]: (II) event4  - Power Button: device is a keyboard
2021-04-24T21:14:40.394718+02:00 localhost gdm-Xorg-:0[2078]: (II) event6  - Sleep Button: is tagged by udev as: Keyboard
2021-04-24T21:14:40.394816+02:00 localhost gdm-Xorg-:0[2078]: (II) event6  - Sleep Button: device is a keyboard
2021-04-24T21:14:40.394913+02:00 localhost gdm-Xorg-:0[2078]: (II) event16 - Integrated Camera: Integrated C: is tagged by udev as: Keyboard
2021-04-24T21:14:40.395009+02:00 localhost gdm-Xorg-:0[2078]: (II) event16 - Integrated Camera: Integrated C: device is a keyboard
2021-04-24T21:14:40.395109+02:00 localhost gdm-Xorg-:0[2078]: (II) event0  - AT Translated Set 2 keyboard: is tagged by udev as: Keyboard
2021-04-24T21:14:40.395209+02:00 localhost gdm-Xorg-:0[2078]: (II) event0  - AT Translated Set 2 keyboard: device is a keyboard
2021-04-24T21:14:40.395350+02:00 localhost gdm-Xorg-:0[2078]: (II) event2  - ETPS/2 Elantech Touchpad: is tagged by udev as: Touchpad
2021-04-24T21:14:40.395456+02:00 localhost gdm-Xorg-:0[2078]: (II) event2  - ETPS/2 Elantech Touchpad: device is a touchpad
2021-04-24T21:14:40.395573+02:00 localhost gdm-Xorg-:0[2078]: (II) event1  - ETPS/2 Elantech TrackPoint: is tagged by udev as: Mouse Pointingstick
2021-04-24T21:14:40.395678+02:00 localhost gdm-Xorg-:0[2078]: (II) event1  - ETPS/2 Elantech TrackPoint: trackpoint does not have a specified range, guessing... see https://wayland.freedesktop.org/libinput/doc/1.10.5/trackpoints.html
2021-04-24T21:14:40.395781+02:00 localhost gdm-Xorg-:0[2078]: (II) event1  - ETPS/2 Elantech TrackPoint: trackpoint device set to range 20
2021-04-24T21:14:40.395888+02:00 localhost gdm-Xorg-:0[2078]: (II) event1  - ETPS/2 Elantech TrackPoint: device is a pointer
2021-04-24T21:14:40.395992+02:00 localhost gdm-Xorg-:0[2078]: (II) event14 - ThinkPad Extra Buttons: is tagged by udev as: Keyboard Switch
2021-04-24T21:14:40.396114+02:00 localhost gdm-Xorg-:0[2078]: (II) event14 - ThinkPad Extra Buttons: device is a keyboard
2021-04-24T21:14:40.396236+02:00 localhost bluetoothd[1823]: Endpoint unregistered: sender=:1.53 path=/MediaEndpoint/A2DPSink/sbc
2021-04-24T21:14:40.396378+02:00 localhost systemd[1]: Starting Load/Save RF Kill Switch Status...
2021-04-24T21:14:40.396618+02:00 localhost bluetoothd[1823]: Endpoint unregistered: sender=:1.53 path=/MediaEndpoint/A2DPSource/sbc
2021-04-24T21:14:40.396760+02:00 localhost systemd-sleep[4308]: System resumed.
...
2021-04-24T21:14:40.415055+02:00 localhost gsd-color[2914]: unable to get EDID for xrandr-default: unable to get EDID for output
2021-04-24T21:14:40.467541+02:00 localhost gdm-Xorg-:0[2078]: The XKEYBOARD keymap compiler (xkbcomp) reports:
2021-04-24T21:14:40.467851+02:00 localhost gdm-Xorg-:0[2078]: > Internal error:   Could not resolve keysym XF86WWAN
2021-04-24T21:14:40.468016+02:00 localhost gdm-Xorg-:0[2078]: > Internal error:   Could not resolve keysym XF86RFKill
2021-04-24T21:14:40.468285+02:00 localhost gdm-Xorg-:0[2078]: Errors from xkbcomp are not fatal to the X server
...
Comment 1 Ulrich Windl 2021-04-24 19:46:22 UTC
# hwinfo --display
31: PCI 400.0: 0300 VGA compatible controller (VGA)             
  [Created at pci.386]
  Unique ID: YmUS.+eU7f9NrJZ4
  Parent ID: JZZT.3roJ_wkP2V3
  SysFS ID: /devices/pci0000:00/0000:00:08.1/0000:04:00.0
  SysFS BusID: 0000:04:00.0
  Hardware Class: graphics card
  Model: "ATI Renoir"
  Vendor: pci 0x1002 "ATI Technologies Inc"
  Device: pci 0x1636 "Renoir"
  SubVendor: pci 0x17aa "Lenovo"
  SubDevice: pci 0x507f 
  Revision: 0xc2
  Memory Range: 0x460000000-0x46fffffff (ro,non-prefetchable)
  Memory Range: 0x470000000-0x4701fffff (ro,non-prefetchable)
  I/O Ports: 0x1000-0x1fff (rw,disabled)
  Memory Range: 0xfd300000-0xfd37ffff (rw,non-prefetchable)
  IRQ: 255 (no events)
  Module Alias: "pci:v00001002d00001636sv000017AAsd0000507Fbc03sc00i00"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #23 (PCI bridge)

Primary display adapter: #31
# hwinfo --monitor
36: None 00.0: 10000 Monitor                                    
  [Created at fb.71]
  Unique ID: rdCR.EY_qmtb9YY0
  Hardware Class: monitor
  Model: "Generic Monitor"
  Vendor: "Generic"
  Device: "Monitor"
  Resolution: 1920x1080@77Hz
  Year of Manufacture: 0
  Week of Manufacture: 0
  Driver Info #0:
    Max. Resolution: 1920x1080
    Vert. Sync Range: 50-90 Hz
    Hor. Sync Range: 31-87 kHz
  Config Status: cfg=new, avail=yes, need=no, active=unknown
Comment 2 Ulrich Windl 2021-04-26 06:29:47 UTC
During boot I found these:
Apr 26 07:40:33 localhost systemd[1]: Created slice system-systemd\x2dbacklight.slice.
Apr 26 07:40:33 localhost kernel: thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
Apr 26 07:40:34 localhost kernel: thinkpad_acpi: Standard ACPI backlight interface available, not loading native one
Apr 26 07:40:34 localhost systemd[1]: Starting Load/Save Screen Backlight Brightness of backlight:acpi_video0...
Apr 26 07:40:34 localhost systemd[1]: Started Load/Save Screen Backlight Brightness of backlight:acpi_video0.
Apr 26 07:40:34 localhost systemd[1]: Starting Load/Save Screen Backlight Brightness of leds:tpacpi::kbd_backlight...
Apr 26 07:40:34 localhost systemd[1]: Started Load/Save Screen Backlight Brightness of leds:tpacpi::kbd_backlight.
Comment 3 Ulrich Windl 2021-04-26 06:32:44 UTC
CPU info (just in case):
vendor_id	: AuthenticAMD
cpu family	: 23
model		: 96
model name	: AMD Ryzen 7 4700U with Radeon Graphics
stepping	: 1
microcode	: 0x8600103
Comment 4 Ulrich Windl 2021-04-27 06:20:09 UTC
I wonder whether this may indicate the problem:
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (EE) open /dev/dri/card0: No such file or directory
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (WW) Falling back to old probe method for modesetting
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (EE) open /dev/dri/card0: No such file or directory

Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (EE) Unable to find a valid framebuffer device

Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (==) FBDEV(0): DPI set to (96, 96)
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (**) FBDEV(0): using shadow framebuffer
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (II) FBDEV(0): FBIOBLANK: Invalid argument (Screen blanking not supported by kernel - disabling)
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (==) FBDEV(0): Backing store enabled
Apr 27 07:53:19 localhost gdm-Xorg-:0[2070]: (==) FBDEV(0): DPMS enabled
Comment 5 Ulrich Windl 2021-04-28 05:49:39 UTC
As brightness control also does not work, I read that the mesa driver beginning with Kernel 5.5 should be able to control brightness at least.
The openSUSE Kernel seems somewhat old compared to other distributions.
Comment 6 Takashi Iwai 2021-04-29 10:02:36 UTC
Could you check with openSUSE Leap 15.3 kernel?  AMD Renoir support on Leap 15.2 is somewhat limited.

And it's possible that the backlight control is broken on AMD driver.  At best, check whether the latest upstream kernel works with the kernel package in OBS Kernel:stable repo.
Comment 7 Ulrich Windl 2021-04-30 06:22:40 UTC
According to Internet wisdom even that kernel is too old (>= 5.8 they say).
However when booting Tails 4.18 (kernel 5.10.0) I can control the brightness of the backlight at least (using the GNOME slider). In Leap 15.2 the brightness does not change.
Comment 8 Takashi Iwai 2021-04-30 07:45:33 UTC
(In reply to Ulrich Windl from comment #7)
> According to Internet wisdom even that kernel is too old (>= 5.8 they say).

Leap 15.3 DRM stack is based on 5.9+ kernel code.
Comment 9 Ulrich Windl 2021-04-30 08:03:12 UTC
(In reply to Takashi Iwai from comment #8)
> Leap 15.3 DRM stack is based on 5.9+ kernel code.

OK, I could try the Live system, but I'm afraid I can't test suspend with it; can I?
Comment 10 Takashi Iwai 2021-04-30 11:15:03 UTC
It would work, I suppose.

But my intention was to just install Leap 15.3 kernel on top of your current Leap 15.2 system and test with it.  If it doesn't work, you can uninstall it again.
Comment 11 Ulrich Windl 2021-06-04 06:19:43 UTC
Confirmed to be fixed in Leap 15.3 with kernel 5.3.18-57-default.
Comment 12 Takashi Iwai 2021-06-04 07:22:16 UTC
Then I close as FIXED.  As Leap 15.2 is based on much older code, it's very difficult to get the fix there, and the upgrade to Leap 15.3 is recommended in anyway.